Subject: bug#71348: closed (Re: [bug#71348] [PATCH 0/2] Update GRUB to 2.12)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 24 Jun 2024 02:53:03 +0000

Your bug report

#71348: [PATCH 0/2] Update GRUB to 2.12

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
71348: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=71348
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#71348] [PATCH 0/2] Update GRUB to 2.12
From: Maxim Cournoyer <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: Josselin Poiret <[email-masked]>, [email-masked], Vagrant Cascadian <[email-masked]>, Efraim Flashner <[email-masked]>, Ada Stevenson <[email-masked]>, [email-masked]
Date: Sun, 23 Jun 2024 22:51:11 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Maxim Cournoyer <[email-masked]> writes:

> Hi Ludovic,
>
> +CC Josselin, who also had a GRUB 2.12 patch somewhere (can't find it)
>
> Ludovic Courtès <[email-masked]> writes:
>
>> Hello Guix!
>>
>> Following the discussion with Ada Stevenson¹ who reported that
>> the e2fsprogs upgrade to 1.47.0 broke system installation, here
>> is an upgrade of GRUB.
>>
>> I tested it on x86_64-linux with:
>>
>>   ./pre-inst-env guix build grub-efi{,32} grub-coreboot grub-hybrid grub{,-minimal}
>
> That's a welcome update.  I believe it'll fix our LUKS2 issues and we
> could do without mentioning the caveats in the manual, like so:
>
> modified   doc/guix.texi
> @@ -2384,21 +2384,12 @@ Keyboard Layout and Networking and Partitioning
>  @uref{https://linux.die.net/man/8/cryptsetup, @code{man cryptsetup}},
>  @code{man cryptsetup}} for more information).
>  
> -@quotation Warning
> -While efforts are in progress to extend support to LUKS2, please note
> -that Guix only supports devices of type LUKS1 at the moment. You can
> -verify that your existing LUKS device is of the right type by running
> -@command{cryptsetup luksDump @var{device}}. Alternatively, you can
> -create a new LUKS1 device with @command{cryptsetup luksFormat --type
> -luks1 @var{device}}.
> -@end quotation
> -
>  Assuming you want to store the root partition on @file{/dev/sda2}, the
> -command sequence to format it as a LUKS1 partition would be along these
> +command sequence to format it as a LUKS partition would be along these
>  lines:
>  
>  @example
> -cryptsetup luksFormat --type luks1 /dev/sda2
> +cryptsetup luksFormat /dev/sda2
>  cryptsetup open /dev/sda2 my-partition
>  mkfs.ext4 -L my-root /dev/mapper/my-partition
>  @end example
>
> Reviewed-by: Maxim Cournoyer <maxim.cournoyer@gmail>

I've now applied this with the above.

Closing!

-- 
Thanks,
Maxim

Subject: [PATCH 0/2] Update GRUB to 2.12
From: Ludovic Courtès <[email-masked]>
To: [email-masked]
Cc: Ludovic Courtès <[email-masked]>, Ada Stevenson <[email-masked]>
Date: Mon, 3 Jun 2024 21:21:12 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Guix!

Following the discussion with Ada Stevenson¹ who reported that
the e2fsprogs upgrade to 1.47.0 broke system installation, here
is an upgrade of GRUB.

I tested it on x86_64-linux with:

  ./pre-inst-env guix build grub-efi{,32} grub-coreboot grub-hybrid grub{,-minimal}
  ./pre-inst-env guix build grub --target=aarch64-linux-gnu
  ./pre-inst-env guix build grub --target=i586-pc-gnu

and:

  make check-system TESTS="installed-os encrypted-root-os"

Feedback welcome!

Thanks,
Ludo'.

¹ https://lists.gnu.org/archive/html/guix-devel/2024-05/msg00006.html

Ludovic Courtès (2):
  gnu: grub: Update to 2.12.
  gnu: grub: Remove input labels and use gexps.

 gnu/local.mk                                  |   1 -
 gnu/packages/bootloaders.scm                  | 535 +++++++++---------
 .../grub-ignore-metadata-csum-seed.patch      |  54 --
 3 files changed, 268 insertions(+), 322 deletions(-)
 delete mode 100644 gnu/packages/patches/grub-ignore-metadata-csum-seed.patch

base-commit: 2e53fa5346bf52f6d6d26e035bc905ebd410dabb
-- 
2.45.1